varplot {maanova} | R Documentation

## Variance component plot

### Description

This function plots the density curve of each variance component of a result from `fitmaanova`.

If the input is from fixed model ANOVA, it will plot one curve for error variance component. If the input is from mixed model ANOVA, it will plot multiple curves, one for a random term (including error).

### Usage

    varplot(anovaobj, xlab, ylab, main)

### Arguments

`anovaobj` | An object of class `maanova`.
`xlab` | Figure xlab. Default is "Sigma".
`ylab` | Figure ylab. Default is "Density".
`main` | Figure title. Default is "Density plot for sqrt of variance".

### Author(s)

Hao Wu

### See Also

`fitmaanova`, `density`

### Examples

    # load abf1 data
    data(abf1)
    ## Not run:
    fit.full.mix <- fitmaanova(abf1, formula = ~Strain+Sample,
       random = ~Sample)
    varplot(fit.full.mix)
    ## End(Not run)

[Package maanova version 1.10.0 Index]